# OnnxRuntime: Ort::detail::KernelInfoImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::KernelInfoImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::KernelInfoImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

KernelInfo | Copy () const
template<typename R >
R | GetAttribute (const char *name) const
template<typename R >
std::vector< R > | GetAttributes (const char *name) const
Value | GetTensorAttribute (const char *name, OrtAllocator *allocator) const
size_t | GetInputCount () const
size_t | GetOutputCount () const
std::string | GetInputName (size_t index) const
std::string | GetOutputName (size_t index) const
TypeInfo | GetInputTypeInfo (size_t index) const
TypeInfo | GetOutputTypeInfo (size_t index) const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::KernelInfoImpl< T >::B = Base<T>

## Member Function Documentation

## Copy()

template<typename T >

KernelInfo Ort::detail::KernelInfoImpl< T >::Copy | ( |  | ) | const

## GetAttribute()

template<typename T >
template<typename R >

R Ort::detail::KernelInfoImpl< T >::GetAttribute | ( | const char * | name | ) | const

inline

## GetAttributes()

template<typename T >
template<typename R >

std::vector< R > Ort::detail::KernelInfoImpl< T >::GetAttributes | ( | const char * | name | ) | const

inline

## GetInputCount()

template<typename T >

size_t Ort::detail::KernelInfoImpl< T >::GetInputCount | ( |  | ) | const

## GetInputName()

template<typename T >

std::string Ort::detail::KernelInfoImpl< T >::GetInputName | ( | size_t | index | ) | const

## GetInputTypeInfo()

template<typename T >

TypeInfo Ort::detail::KernelInfoImpl< T >::GetInputTypeInfo | ( | size_t | index | ) | const

## GetOutputCount()

template<typename T >

size_t Ort::detail::KernelInfoImpl< T >::GetOutputCount | ( |  | ) | const

## GetOutputName()

template<typename T >

std::string Ort::detail::KernelInfoImpl< T >::GetOutputName | ( | size_t | index | ) | const

## GetOutputTypeInfo()

template<typename T >

TypeInfo Ort::detail::KernelInfoImpl< T >::GetOutputTypeInfo | ( | size_t | index | ) | const

## GetTensorAttribute()

template<typename T >

Value Ort::detail::KernelInfoImpl< T >::GetTensorAttribute | ( | const char * | name,
|  | OrtAllocator * | allocator
| ) |  | const